Page MenuHomePhabricator

There should be a visual indication that setting a table's properties to 'sortable' worked
Closed, ResolvedPublic8 Story Points

Description

Current situation:

Edit a table. Click 'Properties' and set it to 'sortable'. See no change on the table. Wonder whether it worked. Check the properties tab again. Yes, it's set. Wonder what's going on.

Desired result:

Edit a table. Click 'Properties' and set it to 'sortable'. See something change on the page (add the correct set of arrows to the top row? Pop up an annoying little message to say that it worked?). Be confident that it worked.

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 30 2016, 4:04 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Low priority.Jul 26 2016, 7:20 PM

This was done for T95189: Support sortable columns in tables but not merged due to complaints from @matmarex about the icons (I think?). It'd be nice to get completed.

Change 269153 had a related patch set uploaded (by Esanders):
Provide approximate preview of table sort styling

https://gerrit.wikimedia.org/r/269153

There is still my attempt at F3325021 which I imagine still possibly works.

Jdforrester-WMF set the point value for this task to 8.
matmarex claimed this task.Dec 16 2016, 8:01 PM
Stryn added a subscriber: Stryn.Jan 11 2017, 6:14 PM

Good example for some corner cases:

{| class="wikitable sortable"
! rowspan="2" |1
! colspan="2" |2
! colspan="2" rowspan="2" |3
|-
!4
!5
|-
| 16 || 18 || 23 || 13 || 25
|-
| 17 || 10 || 22 || 21 || 14
|-
| 24 || 11 || 19 || 20 || 12
|}

Change 332743 had a related patch set uploaded (by Bartosz Dziewoński):
ve.ce.MWTableNode: Provide preview of sortable table styling

https://gerrit.wikimedia.org/r/332743

Change 332743 merged by jenkins-bot:
ve.ce.MWTableNode: Provide preview of sortable table styling

https://gerrit.wikimedia.org/r/332743

Jdforrester-WMF closed this task as Resolved.Feb 13 2017, 11:08 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 13 2017, 11:08 PM
Ryasmeen moved this task from To be Verified to Verified on the User-Ryasmeen board.

Change 269153 abandoned by Esanders:
Provide approximate preview of table sort styling

Reason:
https://gerrit.wikimedia.org/r/332743

https://gerrit.wikimedia.org/r/269153